diff options
author | Anders Nordby <anders@FreeBSD.org> | 2003-07-22 22:49:41 +0000 |
---|---|---|
committer | Anders Nordby <anders@FreeBSD.org> | 2003-07-22 22:49:41 +0000 |
commit | 376e6e04a773d2446f307286aa781aede4b920d9 (patch) | |
tree | 1573a97d84afcc489502546bdf0bae2d26629baa /www/pound | |
parent | 5c4f899a8e6c7d20c51e1b162b9dd12114c253a6 (diff) | |
download | ports-376e6e04a773d2446f307286aa781aede4b920d9.tar.gz ports-376e6e04a773d2446f307286aa781aede4b920d9.zip |
Update to 1.4.
Add startup script.
PR: 51547
Submitted by: Clement Laforet <sheepkiller@cultdeadsheep.org>
Notes
Notes:
svn path=/head/; revision=85404
Diffstat (limited to 'www/pound')
-rw-r--r-- | www/pound/Makefile | 9 | ||||
-rw-r--r-- | www/pound/distinfo | 2 | ||||
-rw-r--r-- | www/pound/files/patch-configure | 14 | ||||
-rw-r--r-- | www/pound/files/patch-pound.h | 13 | ||||
-rw-r--r-- | www/pound/files/pound.sh | 22 | ||||
-rw-r--r-- | www/pound/pkg-plist | 1 |
6 files changed, 51 insertions, 10 deletions
diff --git a/www/pound/Makefile b/www/pound/Makefile index c33ffaca8bd0..3a08dffede4c 100644 --- a/www/pound/Makefile +++ b/www/pound/Makefile @@ -6,7 +6,7 @@ # PORTNAME= pound -PORTVERSION= 1.2 +PORTVERSION= 1.4 CATEGORIES= www net MASTER_SITES= http://www.apsis.ch/pound/ \ ftp://ftp.nuug.no/pub/anders/distfiles/ @@ -16,8 +16,8 @@ EXTRACT_SUFX= .tgz MAINTAINER= anders@FreeBSD.org COMMENT= Reverse proxy, load balancer and HTTP(S) frontend for web servers -WRKSRC= ${WRKDIR}/${PORTNAME} GNU_CONFIGURE= yes +USE_OPENSSL= yes CONFIGURE_ENV+= PTHREAD_CFLAGS="${PTHREAD_CFLAGS}" \ PTHREAD_LIBS="${PTHREAD_LIBS}" @@ -25,4 +25,9 @@ MAKE_ARGS+= F_CONF=${PREFIX}/etc/pound.cfg MAN8= pound.8 +post-install: + @${ECHO} "===> Installing ${PREFIX}/etc/rc.d/pound.sh" + @${ECHO} "===> startup file as ${PREFIX}/etc/rc.d/pound.sh.sample" + @${INSTALL_SCRIPT} -m 751 ${FILESDIR}/pound.sh \ + ${PREFIX}/etc/rc.d/pound.sh.sample .include <bsd.port.mk> diff --git a/www/pound/distinfo b/www/pound/distinfo index e76a868862f0..711af2f5267a 100644 --- a/www/pound/distinfo +++ b/www/pound/distinfo @@ -1 +1 @@ -MD5 (Pound-1.2.tgz) = 1fbf9a593e5ec35ec8a790f1b53db36c +MD5 (Pound-1.4.tgz) = 23a4634b0f9b964ede58f5e49a30ff7e diff --git a/www/pound/files/patch-configure b/www/pound/files/patch-configure index cc5312ae4ecd..0be7b2121fa1 100644 --- a/www/pound/files/patch-configure +++ b/www/pound/files/patch-configure @@ -1,12 +1,12 @@ ---- configure.orig Fri Dec 20 08:36:29 2002 -+++ configure Mon Jan 27 23:45:29 2003 -@@ -1831,7 +1831,8 @@ +--- configure.orig Thu Apr 24 15:45:26 2003 ++++ configure Tue Apr 29 02:58:39 2003 +@@ -1850,7 +1850,8 @@ if test $ac_cv_lib_pthread_pthread_create = yes; then LIBS="-lpthread ${LIBS}" else -- CFLAGS="${CFLAGS} -pthread -DNEED_STACK"; LDFLAGS="${LDFLAGS} -pthread" -+ CFLAGS="${CFLAGS} ${PTHREAD_CFLAGS} -DNEED_STACK" -+ LDFLAGS="${PTHREAD_LIBS} ${LDFLAGS}" +- CPPFLAGS="${CPPFLAGS} -pthread -DNEED_STACK"; LDFLAGS="${LDFLAGS} -pthread" ++ CFLAGS="${CFLAGS} ${PTHREAD_CFLAGS} -DNEED_STACK" ++ LDFLAGS="${PTHREAD_LIBS} ${LDFLAGS}" fi - echo "$as_me:1837: checking for socket in -lsocket" >&5 + echo "$as_me:1856: checking for socket in -lsocket" >&5 diff --git a/www/pound/files/patch-pound.h b/www/pound/files/patch-pound.h new file mode 100644 index 000000000000..dd306447e0c0 --- /dev/null +++ b/www/pound/files/patch-pound.h @@ -0,0 +1,13 @@ +--- pound.h.orig Wed Jul 23 04:48:13 2003 ++++ pound.h Wed Jul 23 04:48:49 2003 +@@ -163,10 +163,6 @@ + #define OPENSSL_THREAD_DEFINES + #include <openssl/ssl.h> + #if OPENSSL_VERSION_NUMBER >= 0x00907000L +-#ifndef OPENSSL_THREADS +-#error "Pound requires OpenSSL with thread support" +-#endif +-#else + #ifndef THREADS + #error "Pound requires OpenSSL with thread support" + #endif diff --git a/www/pound/files/pound.sh b/www/pound/files/pound.sh new file mode 100644 index 000000000000..0bfd99c622bb --- /dev/null +++ b/www/pound/files/pound.sh @@ -0,0 +1,22 @@ +#!/bin/sh + +if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then + echo "$0: Cannot determine the PREFIX" >&2 + exit 1 +fi + +case "$1" in + start) + if [ -x ${PREFIX}/sbin/pound ]; then + ${PREFIX}/sbin/pound & + echo -n ' pound' + fi + ;; + stop) + killall pound + echo -n ' pound' + ;; + *) + echo "Usage: `basename $0` {start|stop}" >&2 + ;; +esac diff --git a/www/pound/pkg-plist b/www/pound/pkg-plist index a687cb0d713c..e551e07ed9d5 100644 --- a/www/pound/pkg-plist +++ b/www/pound/pkg-plist @@ -1 +1,2 @@ +etc/rc.d/pound.sh.sample sbin/pound |